import { jsx } from "react/jsx-runtime";
import { capitalize } from "./functions.js";
import { Scale } from "./types.js";
import Select, { Option } from "../Select.js";
const ScaleSelect = ({ onChange, value }) => {
  return /* @__PURE__ */ jsx(
    Select,
    {
      label: "Scale",
      searchable: false,
      value,
      width: 90,
      onSelect: (newValue) => onChange(newValue),
      children: Object.values(Scale).map((scale) => /* @__PURE__ */ jsx(Option, { value: scale, children: capitalize(scale) }, scale))
    }
  );
};
export {
  ScaleSelect as default
};
